1. NOTICE: If you are using Fabrik and update to Joomla 3.10, you will need to update to Fabrik 3.10. And, if you are using Fabrik, do not upgrade to Joomla 4, we do not have a supported version ready for release. More information on a release date coming soon. Also, please note that Fabrik 3.10 will not install on any Joomla sites less than 3.8.
    Dismiss Notice

Fabrik 2.0b out!

Discussion in 'Fabrik 2.0 Beta Testing' started by rob, May 17, 2008.

  1. rob

    rob Administrator Staff Member

    Level: Community
    After many many hours of work I've released a beta version of Fabrik 2.0.

    Download it here:
    http://fabrikar.com/index.php?option=com_docman&task=cat_view&gid=5&Itemid=29

    Please note when I say beta I mean it - use on a live site at your own risk!

    Fabrik 2.0 is native to Joomla 1.5.3 upwards ONLY. By native I mean that it will not run on Joomla 1.0.x and does not require the legacy plug-in in Joomla 1.5.x

    If you find a bug in Fabrik 2.0b please do the following:


    • See if a similar bug has already been posted in this forum, if it has simply add a "me too" post to that thread.
    • If possible update to the latest SVN version of the code.
    • If the bug still persists please post here, with the following information:
      • Your version of Fabrik
      • Your PHP, mysql, server and Joomla information
      • If you are using non-standard templates, modules plugins
      • If you receive a javascript error on the page
      • The steps you went through to reproduce the bug
    Working together I hope we can quickly move towards a release candidate!

    Thanks Rob
     
  2. cheesegrits

    cheesegrits Support Gopher Staff Member

    Level: Community
    Wooh HOOOOOO! Yee HAAAH!

    And when Rob says "many many hours of work", he is seriously understating the amount of work he has put in to this release. My keyboard doesn't have enough letters on it to give an idea of just how much work he has put in to this.

    Good job, Rob.

    -- hugh
     
  3. Tigratrus

    Tigratrus Senior Member

    Level: Standard
    Yay!

    O frabjous day! Callooh! Callay!

    Gratz Rob... You've done a ton of work getting to this point, and it's greatly appreciated, Thanks!

    James and Susan
     
  4. rob

    rob Administrator Staff Member

    Level: Community
    thx guys! :D (warm fuzzy feeling all over)
     
  5. atticsolutions

    atticsolutions New Member

    Level: Standard
    Congratulations!, i cant wait to really have a muck around with it...hehe ill see if i can break it yet!

    Is their any upgrade paths to convert the tables (read: 'dodgy but works') from 1.0.5.2 to 2.0b ?

    once again Congrats! and goodluck!
    Josh
     
  6. cheesegrits

    cheesegrits Support Gopher Staff Member

    Level: Community
    Ah, the $64 billion question.

    At the moment, no, there is no simple upgrade path from 1.x to 2.x.

    A conversion utility is very high on the To Do list, but I don't advise holding your breath, unless you are a Polynesian Pearl Diver. The conversion tool will very probably be the last thing we (by which I mean Rob) will write prior to the 2.0 release, once all 2.0 configuration issues are cast in stone.

    -- hugh
     

Share This Page